Bug 84228 - EDITING: Shadow preview rendered incorrectly
Summary: EDITING: Shadow preview rendered incorrectly
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: Other All
: medium normal
Assignee: Katarina Behrens
URL:
Whiteboard: target:4.5.0 target:4.4.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2014-09-23 08:35 UTC by Yousuf Philips (jay) (retired)
Modified: 2015-12-17 08:36 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
dialog screenshot showing both shadows being rendered in preview (27.00 KB, image/png)
2014-09-23 08:35 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-09-23 08:35:01 UTC
Created attachment 106713 [details]
dialog screenshot showing both shadows being rendered in preview

Steps:
1) Open impress
2) Draw a shape
3) Press the shadow button in the line and filling toolbar
4) right-click and select 'Area'
5) click on 'shadow' tab
6) change shadow color to 'gray 10'
7) change the shadow direction to the opposite position
8) preview shows both the old and new shadows

Tested in 4.3.2 and master on Linux. Its a regression as this doesnt happen in 3.3.0.

Version: 4.4.0.0.alpha0+
Build ID: 935e8fc98c033680029e4531747a2f680f50d5ca
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2014-09-21_23:17:52
Comment 1 Jacques Guilleron 2014-09-23 13:28:57 UTC
Hi Jay,

I reproduce with LO 4.3.2.1
Build ID: f9b3ad49d92181b0a1fe7e76f785a2c2cd0847d3
and LO 4.4.0.0.alpha0+
Build ID: 5aeb852efcabdd51545d5d41c92f4bf3cef1d663
TinderBox: Win-x86@39, Branch:master, Time: 2014-09-08_07:01:57
and Windows 7 Home Premium.

I tried LO 3.5.3.2 
Version ID : 235ab8a-3802056-4a8fed3-2d66ea8-e241b80
with the same behavior.

I set status to NEW,

regards,

Jacques
Comment 2 Joel Madero 2014-11-07 16:43:51 UTC
Let's find out if this was a preBibisect introduction - requesting a bibisect here.

https://wiki.documentfoundation.org/QA/HowToBibisect
Comment 3 Matthew Francis 2014-12-13 03:32:49 UTC
Bibisect results from 43all:

f89e78929fb81d824ac5ad2b3063a7f73ed47c9a is the first bad commit
commit f89e78929fb81d824ac5ad2b3063a7f73ed47c9a
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Wed Dec 7 12:43:15 2011 +0100

    source-hash-a705aec5117fe9123236ebdeb0d6f271b83f8af4
    
    commit a705aec5117fe9123236ebdeb0d6f271b83f8af4
    Author:     Andras Timar <atimar@suse.com>
    AuthorDate: Fri Sep 16 16:20:09 2011 +0200
    Commit:     Andras Timar <atimar@suse.com>
    CommitDate: Sat Sep 17 10:18:18 2011 +0200
    
        add KeyID option to Language dropdown box

# bad: [cf86b7f14a98d2d81a5cd93507acb35ff6775d8b] source-hash-85c6244b85b29c1d2bb9d89b62e9512dd65378b5
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'last35onmaster' 'oldest'
# bad: [522a31bbab6f0abeca2e5bcf565c399850746298] source-hash-418a35f4861e863feb39eec73f4a39a87fbcb1f3
git bisect bad 522a31bbab6f0abeca2e5bcf565c399850746298
# bad: [522a31bbab6f0abeca2e5bcf565c399850746298] source-hash-418a35f4861e863feb39eec73f4a39a87fbcb1f3
git bisect bad 522a31bbab6f0abeca2e5bcf565c399850746298
# bad: [abff081a781f7c3a4f9675e4650d8b40c2060c39] source-hash-31e7820f03badc3c6fe8fdaffb74f2125e05ea96
git bisect bad abff081a781f7c3a4f9675e4650d8b40c2060c39
# good: [e65850d4d23beb93ded3cab9e5945dd39c530738] source-hash-a44dda4b7d71f8d2b4e0cca79d732eab89588c3a
git bisect good e65850d4d23beb93ded3cab9e5945dd39c530738
# bad: [c9690f3994371a25ae8a0d2cf29ba05ed89cea02] source-hash-59cb0469897b1d2c57386510ad321a72e5477ad4
git bisect bad c9690f3994371a25ae8a0d2cf29ba05ed89cea02
# bad: [c9690f3994371a25ae8a0d2cf29ba05ed89cea02] source-hash-59cb0469897b1d2c57386510ad321a72e5477ad4
git bisect bad c9690f3994371a25ae8a0d2cf29ba05ed89cea02
# bad: [a0486a18ac4ea6508f02804cf2624c46607674af] source-hash-a0a1c3f4fb730ed3614593c3d8ddb50c23204c29
git bisect bad a0486a18ac4ea6508f02804cf2624c46607674af
# bad: [f89e78929fb81d824ac5ad2b3063a7f73ed47c9a] source-hash-a705aec5117fe9123236ebdeb0d6f271b83f8af4
git bisect bad f89e78929fb81d824ac5ad2b3063a7f73ed47c9a
# first bad commit: [f89e78929fb81d824ac5ad2b3063a7f73ed47c9a] source-hash-a705aec5117fe9123236ebdeb0d6f271b83f8af4
Comment 4 Matthew Francis 2014-12-31 15:51:29 UTC
Couldn't manage to build this one directly due its age and the horrors of the old build system, but reverting selected commits from the bibisect range suggests that the below commit is where the behaviour changed.

Adding Cc: to bubli@bubli.org. Sorry for dragging up something so old, but could you possibly take a look at this? Thanks

commit 450b31a056a8fb277a7b5f1e6827bb85b4c1f9fd
Author: Katarina Machalkova <bubli@bubli.org>
Date:   Tue Sep 6 21:25:15 2011 +0200

    Update shape fill preview on switch to this tab
    
    (related to i#95158, but not quite)
Comment 5 Katarina Behrens 2015-01-04 13:54:48 UTC
Reverting given commit however makes the original issue reappear - if a shape fill colour is changed in Area tab, this change is not reflected upon switching to Shadow tab. The preview still contains the original colour of the shape. 

Lemme see if I can find a better fix for this
Comment 6 Commit Notification 2015-01-05 22:30:18 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8c7f6830e767897d3a0e88f75fc8d7ef7fca95dc

fdo#84228: Set rectangle props after setting shadow props

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Katarina Behrens 2015-03-09 16:21:05 UTC
This is fixed for 4.5. 

If anyone wants to have it fixed for 4.4.x, please reopen this bug. It's only cosmetic issue, I'm not overly eager to spend my (and code-reviewers') time on backporting it.
Comment 8 Yousuf Philips (jay) (retired) 2015-03-11 07:11:46 UTC
I think backporting a one line move is useful to atleast 4.4 which has only been out one month.
Comment 9 Yousuf Philips (jay) (retired) 2015-03-17 09:41:29 UTC
Just tested master and it is still broken.

Version: 4.5.0.0.alpha0+
Build ID: de145fb467f2a168261915d63b47d3cd3b03d732
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2015-03-15_09:51:29
Comment 10 Commit Notification 2015-03-31 20:58:49 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2302e9eb8a161abaf5899288b4e1c689f5a1ff07

tdf#84228: Fix annoying double shadow in preview

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2015-04-01 07:24:31 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=11402a73876e4213f1a4b0583d74ac51e4dacb33&h=libreoffice-4-4

tdf#84228: Fix annoying double shadow in preview

It will be available in 4.4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Robinson Tryon (qubit) 2015-12-17 08:36:04 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]